6.0.0-git
2021-01-18

[#9122] Upgrade Horde_Service_Facebook to new Graph API and OAuth2 authentication
Summary Upgrade Horde_Service_Facebook to new Graph API and OAuth2 authentication
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2010-07-02 (3853 days ago)
Due
Updated 2012-07-20 (3104 days ago)
Assigned
Resolved 2012-07-20 (3104 days ago)
Milestone
Patch No

History
2012-07-20 14:35:25 Michael Rubinsky Comment #8
State ⇒ Resolved
Reply to this comment
The final bits are now complete.
2011-07-29 00:22:01 Michael Rubinsky Comment #7 Reply to this comment
So it doesn't get lost:

Should wait until the Graph api provides a way to replace this 
functionality. No way to obtain the list of events a user has been 
invited to. The Graph API only shows the events the user has RSVP'd to 
as  "Accepted" or "Unsure".

http://forum.developers.facebook.net/viewtopic.php?id=87015
2011-03-23 13:45:44 Michael Rubinsky Comment #6
Milestone ⇒
Reply to this comment
The portion needed to be completed for 4.0 has been completed, 
removing as a showstopper.
2011-03-21 19:08:00 hordetest (at) rash-mail (dot) com Comment #5 Reply to this comment
Great, nice work :)

[Show Quoted Text - 24 lines]
2011-03-21 06:20:18 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

First round of Service_Facebook refactorings.
Adds OAuth2 support (and removes deprecated legacy canvas auth mechanism).
Keeps the legacy REST API methods for now (they work with the OAuth2 
access_token),
will slowly add support for the Graph API, but probably not before 
final release.

Turba still as issues since FB decided to remove support for returning 
array members
seperately when using FQL so this: SELECT current_location.city.... no 
longer works,
only SELECT current_location will work. This requires some refactoring 
of Turba's FB
driver since the fields are configurable in backends.php.

Related to:
Bug: 9122
Bug: 9674
Bug: 9683

  27 files changed, 505 insertions(+), 1126 deletions(-)
http://git.horde.org/horde-git/-/commit/f74a9f9f1ca191fd70d1b52d141d8e69fca91383
2011-03-19 16:02:03 Michael Rubinsky Comment #3
Milestone ⇒ 4
Reply to this comment
Feeling optimistic today... target this for 4.0
2011-03-19 15:47:38 Michael Rubinsky Comment #2 Reply to this comment
See also Bug: 9683
2011-03-18 14:21:42 Michael Rubinsky Assigned to Michael Rubinsky
 
2011-03-18 14:21:28 Michael Rubinsky Milestone ⇒ 4.1
 
2010-07-02 22:35:25 Michael Rubinsky Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Upgrade Horde_Service_Facebook to new Graph API and OAuth2 authentication
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Current methods seem to still work, but the restful API has been 
deprecated in favor of the "graph" API

See:
http://developers.facebook.com/blog/post/378
http://github.com/facebook/php-sdk/blob/master/src/facebook.php

Saved Queries